%define ver 3.9
%define rel 8
Name:           squeak-vm
Version:        %{ver}
Release:        %{rel}.1%{?dist}
Summary:        The Squeak Virtual Machine

Group:          Development/Languages
License:        Squeak License
URL:            http://www.squeak.org
Source0: 				http://ftp.squeak.org/current_stable/unix-linux/Squeak-%{ver}-%{rel}.src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel mesa-libGL-devel alsa-lib-devel e2fsprogs-devel
#Requires:       

%description
Squeak is a full-featured implementation of the Smalltalk programming
language and environment based on (and largely compatible with) the original
Smalltalk-80 system.

This package contains just the Squeak virtual machine.  You will have
to install it before you install the package Squeak.


%prep
%setup -q -n Squeak-%{ver}-%{rel}


%build
mkdir bld
cd bld
../platforms/unix/config/configure --prefix=/usr --enable-mpg-mmx --without-quartz --with-pic --disable-rpath
make %{?_smp_mflags} ROOT=$RPM_BUILD_ROOT


%install
rm -rf $RPM_BUILD_ROOT
cd bld
make install ROOT=$RPM_BUILD_ROOT

# workaround that move /usr/man to /usr/share/man
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT%{_usr}/man $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT%{_usr}/doc $RPM_BUILD_ROOT%{_datadir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc platforms/unix/ChangeLog platforms/unix/README* platforms/unix/doc
%{_libdir}/squeak
%{_mandir}/man1/inisqueak.1*
%{_mandir}/man1/squeak.1*
%{_bindir}/squeak
%{_datadir}/doc/squeak


%changelog
* Sun Sep 23 2007 Yuan Yijun <bbbush@fedoraproject.org> - 3.9-8.1
- spec file from Ian Piumarta <ian.piumarta@squeakland.org>



